
////////////////////////////////////////////////////////////////////

#ifndef BHV_FS_KICKIN_MARK_OPPONENT_H
#define BHV_FS_KICKIN_MARK_OPPONENT_H

#include <rcsc/player/soccer_action.h>
#include <rcsc/geom/vector_2d.h>

class Bhv_FSKickinMarkOpponent
: public rcsc::SoccerBehavior {
  
 private:
  
  rcsc::Vector2D M_home_pos;
  
  bool goalKickMark( rcsc::PlayerAgent * agent );

 public:
  
 Bhv_FSKickinMarkOpponent( const rcsc::Vector2D & home_pos )
   : M_home_pos( home_pos ){}
  
  bool execute( rcsc::PlayerAgent * agent );
  
};

#endif
