// -*-c++-*-

/*********************************************************
 * @COPYRIGHT:Jun Masaki @iesl,ies,sit 2009 
 *********************************************************/

////////////////////////////////////////////

#ifndef BHV_SELECTION_PASS_H
#define BHV_SELECTION_PASS_H

#include <rcsc/player/soccer_action.h>
#include <rcsc/geom/vector_2d.h>

class Bhv_SelectionPass
  : public rcsc::SoccerBehavior {
private:

public:

  bool execute( rcsc::PlayerAgent * agent );

  bool get_selection_pass( rcsc::PlayerAgent * agent
			   ,rcsc::Vector2D * target_point
			   ,double * first_speed
			   ,int * receiver_unum
			   ,bool * continue_action
			   );
  
  bool prepare( rcsc::PlayerAgent * agent );

};

#endif
